Bug 176622 - [PATCH] www/gallery3: update to 3.0.5
[PATCH] www/gallery3: update to 3.0.5
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: beech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-03 19:30 UTC by alex
Modified: 2013-03-18 16:40 UTC (History)
1 user (show)

See Also:


Attachments
gallery3-3.0.5.patch (5.68 KB, patch)
2013-03-03 19:30 UTC, alex
no flags Details | Diff
gallery3-3.0.5.nox11.patch (446 bytes, patch)
2013-03-18 15:34 UTC, klaas.d
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description alex 2013-03-03 19:30:01 UTC
- Update to 3.0.5

Port maintainer (appleboy.tw@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-03-03 19:30:08 UTC
Maintainer of www/gallery3,

Please note that PR ports/176622 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176622

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-03-03 19:30:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 beech freebsd_committer 2013-03-03 19:42:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 4 dfilter freebsd_committer 2013-03-17 17:21:04 UTC
Author: beech
Date: Sun Mar 17 17:20:50 2013
New Revision: 314470
URL: http://svnweb.freebsd.org/changeset/ports/314470

Log:
  - Update to 3.0.5
  
  PR:		ports/176622
  Submitted by:	Alex Varju <alex@varju.ca>
  Approved by:	Maintainer timeout

Modified:
  head/www/gallery3/Makefile   (contents, props changed)
  head/www/gallery3/distinfo   (contents, props changed)
  head/www/gallery3/pkg-plist   (contents, props changed)

Modified: head/www/gallery3/Makefile
==============================================================================
--- head/www/gallery3/Makefile	Sun Mar 17 17:18:30 2013	(r314469)
+++ head/www/gallery3/Makefile	Sun Mar 17 17:20:50 2013	(r314470)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	gallery3
-PORTVERSION=	3.0.4
-PORTREVISION=	1
+PORTVERSION=	3.0.5
 CATEGORIES=	www
 MASTER_SITES=	SF/gallery/${PORTNAME}/${PORTVERSION}
 DISTNAME=	gallery-${PORTVERSION}

Modified: head/www/gallery3/distinfo
==============================================================================
--- head/www/gallery3/distinfo	Sun Mar 17 17:18:30 2013	(r314469)
+++ head/www/gallery3/distinfo	Sun Mar 17 17:20:50 2013	(r314470)
@@ -1,2 +1,2 @@
-SHA256 (gallery-3.0.4.zip) = ad7f0078d74964fec2782986836b4ea348b46035a9cc3e56ca49297d399e3fcf
-SIZE (gallery-3.0.4.zip) = 1858451
+SHA256 (gallery-3.0.5.zip) = d720cf8a78ecd659ca95f845a2c0f7e0e9db3255bc9c7ffa575e9cbc074efb38
+SIZE (gallery-3.0.5.zip) = 2035940

Modified: head/www/gallery3/pkg-plist
==============================================================================
--- head/www/gallery3/pkg-plist	Sun Mar 17 17:18:30 2013	(r314469)
+++ head/www/gallery3/pkg-plist	Sun Mar 17 17:20:50 2013	(r314470)
@@ -3,6 +3,8 @@
 %%WWWDIR%%/README
 %%WWWDIR%%/application/Bootstrap.php
 %%WWWDIR%%/application/config/config.php
+%%WWWDIR%%/bin/.htaccess
+%%WWWDIR%%/bin/README
 %%WWWDIR%%/index.php
 %%WWWDIR%%/installer/cli.php
 %%WWWDIR%%/installer/database_config.php
@@ -24,6 +26,7 @@
 %%WWWDIR%%/installer/web.php
 %%WWWDIR%%/lib/flowplayer.controls.swf
 %%WWWDIR%%/lib/flowplayer.js
+%%WWWDIR%%/lib/flowplayer.pseudostreaming-byterange.swf
 %%WWWDIR%%/lib/flowplayer.pseudostreaming.swf
 %%WWWDIR%%/lib/flowplayer.swf
 %%WWWDIR%%/lib/gallery.ajax.js
@@ -91,18 +94,6 @@
 %%WWWDIR%%/modules/comment/views/comment.mrss.php
 %%WWWDIR%%/modules/comment/views/comments.html.php
 %%WWWDIR%%/modules/comment/views/user_profile_comments.html.php
-%%WWWDIR%%/modules/digibug/config/digibug.php
-%%WWWDIR%%/modules/digibug/controllers/admin_digibug.php
-%%WWWDIR%%/modules/digibug/controllers/digibug.php
-%%WWWDIR%%/modules/digibug/helpers/digibug_event.php
-%%WWWDIR%%/modules/digibug/helpers/digibug_installer.php
-%%WWWDIR%%/modules/digibug/helpers/digibug_theme.php
-%%WWWDIR%%/modules/digibug/images/digibug_logo.png
-%%WWWDIR%%/modules/digibug/js/digibug.js
-%%WWWDIR%%/modules/digibug/models/digibug_proxy.php
-%%WWWDIR%%/modules/digibug/module.info
-%%WWWDIR%%/modules/digibug/views/admin_digibug.html.php
-%%WWWDIR%%/modules/digibug/views/digibug_form.html.php
 %%WWWDIR%%/modules/exif/controllers/exif.php
 %%WWWDIR%%/modules/exif/helpers/exif.php
 %%WWWDIR%%/modules/exif/helpers/exif_event.php
@@ -163,6 +154,7 @@
 %%WWWDIR%%/modules/gallery/controllers/admin_languages.php
 %%WWWDIR%%/modules/gallery/controllers/admin_maintenance.php
 %%WWWDIR%%/modules/gallery/controllers/admin_modules.php
+%%WWWDIR%%/modules/gallery/controllers/admin_movies.php
 %%WWWDIR%%/modules/gallery/controllers/admin_sidebar.php
 %%WWWDIR%%/modules/gallery/controllers/admin_theme_options.php
 %%WWWDIR%%/modules/gallery/controllers/admin_themes.php
@@ -237,12 +229,14 @@
 %%WWWDIR%%/modules/gallery/helpers/user_profile.php
 %%WWWDIR%%/modules/gallery/helpers/xml.php
 %%WWWDIR%%/modules/gallery/hooks/init_gallery.php
+%%WWWDIR%%/modules/gallery/images/ffmpeg.png
 %%WWWDIR%%/modules/gallery/images/gallery.png
 %%WWWDIR%%/modules/gallery/images/gd.png
 %%WWWDIR%%/modules/gallery/images/graphicsmagick.png
 %%WWWDIR%%/modules/gallery/images/imagemagick.jpg
+%%WWWDIR%%/modules/gallery/images/missing_album_cover.jpg
 %%WWWDIR%%/modules/gallery/images/missing_movie.jpg
-%%WWWDIR%%/modules/gallery/images/missing_photo.png
+%%WWWDIR%%/modules/gallery/images/missing_photo.jpg
 %%WWWDIR%%/modules/gallery/js/albums_form_add.js
 %%WWWDIR%%/modules/gallery/js/item_form_delete.js
 %%WWWDIR%%/modules/gallery/js/l10n_client.js
@@ -259,6 +253,7 @@
 %%WWWDIR%%/modules/gallery/libraries/MY_Database.php
 %%WWWDIR%%/modules/gallery/libraries/MY_Forge.php
 %%WWWDIR%%/modules/gallery/libraries/MY_Input.php
+%%WWWDIR%%/modules/gallery/libraries/MY_Kohana.php
 %%WWWDIR%%/modules/gallery/libraries/MY_Kohana_Exception.php
 %%WWWDIR%%/modules/gallery/libraries/MY_ORM.php
 %%WWWDIR%%/modules/gallery/libraries/MY_View.php
@@ -306,6 +301,7 @@
 %%WWWDIR%%/modules/gallery/views/admin_maintenance_task.html.php
 %%WWWDIR%%/modules/gallery/views/admin_modules.html.php
 %%WWWDIR%%/modules/gallery/views/admin_modules_confirm.html.php
+%%WWWDIR%%/modules/gallery/views/admin_movies.html.php
 %%WWWDIR%%/modules/gallery/views/admin_sidebar.html.php
 %%WWWDIR%%/modules/gallery/views/admin_sidebar_blocks.html.php
 %%WWWDIR%%/modules/gallery/views/admin_theme_options.html.php
@@ -463,6 +459,7 @@
 %%WWWDIR%%/modules/slideshow/module.info
 %%WWWDIR%%/modules/tag/controllers/admin_tags.php
 %%WWWDIR%%/modules/tag/controllers/tag.php
+%%WWWDIR%%/modules/tag/controllers/tag_name.php
 %%WWWDIR%%/modules/tag/controllers/tags.php
 %%WWWDIR%%/modules/tag/css/tag.css
 %%WWWDIR%%/modules/tag/helpers/item_tags_rest.php
@@ -880,14 +877,6 @@
 @dirrm %%WWWDIR%%/modules/exif/helpers
 @dirrm %%WWWDIR%%/modules/exif/controllers
 @dirrm %%WWWDIR%%/modules/exif
-@dirrm %%WWWDIR%%/modules/digibug/views
-@dirrm %%WWWDIR%%/modules/digibug/models
-@dirrm %%WWWDIR%%/modules/digibug/js
-@dirrm %%WWWDIR%%/modules/digibug/images
-@dirrm %%WWWDIR%%/modules/digibug/helpers
-@dirrm %%WWWDIR%%/modules/digibug/controllers
-@dirrm %%WWWDIR%%/modules/digibug/config
-@dirrm %%WWWDIR%%/modules/digibug
 @dirrm %%WWWDIR%%/modules/comment/views
 @dirrm %%WWWDIR%%/modules/comment/models
 @dirrm %%WWWDIR%%/modules/comment/js
@@ -910,6 +899,7 @@
 @dirrm %%WWWDIR%%/lib
 @dirrm %%WWWDIR%%/installer/views
 @dirrm %%WWWDIR%%/installer
+@dirrm %%WWWDIR%%/bin
 @dirrm %%WWWDIR%%/application/config
 @dirrm %%WWWDIR%%/application
 @dirrmtry %%WWWDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 beech freebsd_committer 2013-03-17 17:21:13 UTC
State Changed
From-To: feedback->closed

Committed (maintainer timeout), Thanks!
Comment 6 klaas.d 2013-03-18 15:34:44 UTC
Hey,
the new port doesn't recognize graphics/ImageMagick-nox11, only 
graphics/ImageMagick, quick patch is attached

Greetings
Klaas
Comment 7 dfilter freebsd_committer 2013-03-18 16:37:06 UTC
Author: beech
Date: Mon Mar 18 16:36:54 2013
New Revision: 314585
URL: http://svnweb.freebsd.org/changeset/ports/314585

Log:
  - Add option ImageMagick-nox11
  
  PR:		ports/176622
  Submitted by:	Klaas Demter <klaas.d@online.de>
  Approved by:	Maintainer timeout

Modified:
  head/www/gallery3/Makefile

Modified: head/www/gallery3/Makefile
==============================================================================
--- head/www/gallery3/Makefile	Mon Mar 18 16:36:41 2013	(r314584)
+++ head/www/gallery3/Makefile	Mon Mar 18 16:36:54 2013	(r314585)
@@ -50,7 +50,11 @@ RUN_DEPENDS+=	gm:${PORTSDIR}/graphics/Gr
 .endif
 
 .if ${PORT_OPTIONS:MIMAGEMAGICK}
-RUN_DEPENDS+=	convert:${PORTSDIR}/graphics/ImageMagick
+.if !defined(WITHOUT_X11)
+RUN_DEPENDS+=    convert:${PORTSDIR}/graphics/ImageMagick
+.else
+RUN_DEPENDS+=    convert:${PORTSDIR}/graphics/ImageMagick-nox11
+.endif
 .endif
 
 .if ${PORT_OPTIONS:MJHEAD}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"